Back to YouTube
TikHub·YouTube

YouTube Web V2: Get channel community posts

/api/v1/youtube/web_v2/get_channel_community_postssync$0.0015 / call

Get YouTube channel's community posts list. Supports pagination via continuationtoken (TikHub · YouTube Web V2)

Input
FieldTypeRequiredDescription
channel_idstringyesChannel ID
language_codestringLanguage code (default "zh-CN")
country_codestringCountry code (default "US")
continuation_tokenstringPagination token for next page
need_formatbooleanWhether to clean and format the data (default true)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/get_channel_community_posts","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.